The following shows how to generate the security-analytics-proxy-sps-processed-by-time report using either the Reporting API's Generate a report POST operation or the Get a cacheable report GET operation. Details about each report's supported products, metrics, filters, and available data intervals are also available dynamically by running the API's Get a report type operation, also shown below. See also other available reports.
Report definition
This report shows data on Shield NS53 traffic such as refused requests, processed requests, and NXDOMAIN spikes.
This report allows you to configure the aggregation interval for each data record. Available interval values are: MONTH, WEEK, DAY, HOUR.
Business object: service-instance-id
Data available for: 90 days
Available metrics
| Metric | Description | |
|---|---|---|
| Data metrics | ||
count | The total number of requests. |
POST request
POST /reporting-api/v1/reports/security-analytics-proxy-sps-processed-by-time/versions/1/report-data{?start,end,interval}
Sample: /reporting-api/v1/reports/security-analytics-proxy-sps-processed-by-time/versions/1/report-data?start=2026-03-10T10%3A00%3A00Z&end=2026-03-10T14%3A00%3A00Z&interval=HOUR
For other granularity, you need to adjust start and end dates:
Sample with longer interval: /reporting-api/v1/reports/security-analytics-proxy-sps-processed-by-time/versions/1/report-data?start=2025-11-01&end=2026-03-01&interval=MONTH
Query parameters
| Parameter | Type | Sample | Description |
|---|---|---|---|
| Required | |||
start | String | 2026-03-10T10:00:00Z | Specifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start value’s timestamp. |
end | String | 2026-03-10T14:00:00Z | Specifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end value’s timestamp. |
interval | Enumeration | HOUR | The duration of each data record. Available values: MONTH, WEEK, DAY, HOUR. |
JSON request members
| Member | Type | Description |
|---|---|---|
objectIds | Array | Specifies the set of service-instance-id values you want to report on. |
objectIds | Enumeration | As an alternative to an array of ID values, specify all as a string for unfiltered data. Either way, objectIds is required. |
metrics | Array | The set of desired metrics. If omitted, the report includes all available metrics. |
Request body:
{
"objectIds": [
"1111",
"1122",
"2222",
"2233"
],
"metrics": [
"count"
]
}
GET request
GET /reporting-api/v1/reports/security-analytics-proxy-sps-processed-by-time/versions/1/report-data{?start,end,interval,objectIds,allObjectIds,metrics}
Sample: /reporting-api/v1/reports/security-analytics-proxy-sps-processed-by-time/versions/1/report-data?start=2026-03-10T10%3A00%3A00Z&end=2026-03-10T14%3A00%3A00Z&interval=HOUR&objectIds=1111,1122,2222,2233&metrics=count
Query parameters
| Parameter | Type | Sample | Description |
|---|---|---|---|
| Required | |||
start | String | 2026-03-10T10:00:00Z | Specifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start value’s timestamp. |
end | String | 2026-03-10T14:00:00Z | Specifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end value’s timestamp. |
interval | Enumeration | HOUR | The duration of each data record. Available values: MONTH, WEEK, DAY, HOUR. |
| Optional | |||
allObjectIds | Boolean | true | As an alternative to objectIds, enabling this generates a report that includes all IDs available for the service-instance-id objectType. This parameter is ignored if the request also specifies a set of objectIds. |
objectIds | String | 1111,1122,2222,2233 | As an alternative to allObjectIds, specifies the set of unique IDs for the service-instance-id objectType you want to report on, formatted as a comma-delimited list. |
metrics | String | count | Specifies a comma-separated list of metrics to include in the report, otherwise all metrics if omitted. The set of available metrics depends on the type of report. URL-encode the entire value in the GET request. |
JSON response
Status 200 application/json
Response body:
{
"metadata": {
"name": "security-analytics-proxy-sps-processed-by-time",
"version": "1",
"outputType": "HIERARCHICAL",
"groupBy": [
"timestamp",
"service_type"
],
"interval": "HOUR",
"start": "2026-03-10T10:00:00Z",
"end": "2026-03-10T14:00:00Z",
"availableDataEnds": null,
"suggestedRetryTime": null,
"rowCount": 4,
"filters": [],
"columns": [
{
"name": "groupBy",
"label": "timestamp"
},
{
"name": "groupBy",
"label": "service_type"
},
{
"name": "count",
"label": "count"
}
],
"objectType": "service-instance-id",
"objectIds": [
"1111",
"1122",
"2222",
"2233"
]
},
"data": [
{
"timestamp": "2026-03-10T10:00:00Z",
"data": [
{
"service_type": "TAG",
"count": "4770"
},
{
"service_type": "CPCODE",
"count": "4554"
},
{
"service_type": "URL",
"count": "1135"
},
{
"service_type": "VCD",
"count": "1498"
}
]
},
{
"timestamp": "2026-03-10T11:00:00Z",
"data": [
{
"service_type": "TAG",
"count": "20"
},
{
"service_type": "CPCODE",
"count": "3717"
},
{
"service_type": "URL",
"count": "2575"
},
{
"service_type": "VCD",
"count": "526"
}
]
},
{
"timestamp": "2026-03-10T12:00:00Z",
"data": [
{
"service_type": "TAG",
"count": "3141"
},
{
"service_type": "CPCODE",
"count": "495"
},
{
"service_type": "URL",
"count": "1507"
},
{
"service_type": "VCD",
"count": "1158"
}
]
},
{
"timestamp": "2026-03-10T13:00:00Z",
"data": [
{
"service_type": "TAG",
"count": "4741"
},
{
"service_type": "CPCODE",
"count": "2103"
},
{
"service_type": "URL",
"count": "1684"
},
{
"service_type": "VCD",
"count": "3976"
}
]
}
],
"summaryStatistics": {}
}
Get report details
This sample Get a report type operation gets the same information you need to run the security-analytics-proxy-sps-processed-by-time report as provided in this reference documentation, but available dynamically to your API client application.
GET /reporting-api/v1/reports/security-analytics-proxy-sps-processed-by-time/versions/1
Status 200 application/json
Response body:
{
"name": "security-analytics-proxy-sps-processed-by-time",
"description": "This report shows data on Shield NS53 traffic such as refused requests, processed requests, and NXDOMAIN spikes.",
"businessObjectName": "service-instance-id",
"version": 1,
"status": "PUBLISHED",
"deprecated": false,
"timeBased": true,
"supportsPagination": false,
"outputType": "HIERARCHICAL",
"available": false,
"metrics": [
{
"name": "count",
"description": "The total number of requests.",
"label": "count",
"unit": "COUNT",
"summaryStatistic": false
}
],
"groupOutlyingValues": {
"enabled": false
},
"groupBy": [
"timestamp",
"service_type"
],
"intervals": [
"MONTH",
"WEEK",
"DAY",
"HOUR"
],
"dataRetentionDays": 90,
"links": [
{
"rel": "self",
"href": "/reporting-api/v1/reports/security-analytics-proxy-sps-processed-by-time/versions/1"
},
{
"rel": "versions",
"href": "/reporting-api/v1/reports/security-analytics-proxy-sps-processed-by-time/versions"
},
{
"rel": "all-reports",
"href": "/reporting-api/v1/reports"
},
{
"rel": "execute-report",
"href": "/reporting-api/v1/reports/security-analytics-proxy-sps-processed-by-time/versions/1/report-data"
}
]
}